## libperl-critic-policy-plicease-prohibitarrayassignaref-perl 100.00

=== debian/changelog ===
libperl-critic-policy-plicease-prohibitarrayassignaref-perl (100.00-1) unstable; urgency=medium

  * Initial release (closes: #1099306).

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Mar 2025 01:33:20 +0100
