=== debian/control ===
Source: libperl-critic-policy-plicease-prohibitarrayassignaref-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libperl-critic-perl <!nocheck>,
                     libtest-simple-perl <!nocheck>,
                     perl
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libperl-critic-policy-plicease-prohibitarrayassignaref-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libperl-critic-policy-plicease-prohibitarrayassignaref-perl.git
Homepage: https://metacpan.org/release/Perl-Critic-Policy-Plicease-ProhibitArrayAssignAref
Rules-Requires-Root: no

Package: libperl-critic-policy-plicease-prohibitarrayassignaref-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libperl-critic-perl
Description: Perl::Critic policy about not assigning an anonymous arrayref to an array
 The Perl::Critic::Policy::Plicease::ProhibitArrayAssignAref policy is a fork
 of Perl::Critic::Policy::ValuesAndExpressions::ProhibitArrayAssignAref. It
 differs from the original by not having a dependency on List::MoreUtils.
 .
 It asks you not to assign an anonymous arrayref to an array
 .
  @array = [ 1, 2, 3 ]; # bad
 .
 The idea is that it's rather unclear whether an arrayref is intended, or
 might have meant to be a list like
 .
  @array = ( 1, 2, 3 );
